Index: /pjproject/trunk/pjlib/build/pjlib.vcxproj
===================================================================
--- /pjproject/trunk/pjlib/build/pjlib.vcxproj	(revision 5538)
+++ /pjproject/trunk/pjlib/build/pjlib.vcxproj	(revision 5539)
@@ -598,14 +856,20 @@
     <ClCompile Include="..\src\pj\symbols.c">
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|Win32'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
-      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|ARM'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|ARM'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|ARM'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|ARM'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
     </ClCompile>
@@ -615,4 +879,5 @@
   </ItemGroup>
   <ItemGroup>
+    <ClInclude Include="..\..\third_party\threademulation\include\ThreadEmulation.h" />
     <ClInclude Include="..\include\pjlib.h" />
     <ClInclude Include="..\include\pj\activesock.h" />
@@ -637,4 +902,6 @@
     <ClInclude Include="..\include\pj\compat\os_win32.h" />
     <ClInclude Include="..\include\pj\compat\os_win32_wince.h" />
+    <ClInclude Include="..\include\pj\compat\os_winphone8.h" />
+    <ClInclude Include="..\include\pj\compat\os_winuwp.h" />
     <ClInclude Include="..\include\pj\compat\rand.h" />
     <ClInclude Include="..\include\pj\compat\setjmp.h" />
@@ -644,10 +911,10 @@
     <ClInclude Include="..\include\pj\compat\stdfileio.h" />
     <ClInclude Include="..\include\pj\compat\string.h" />
-    <ClInclude Include="..\include\pj\compat\time.h" />    
+    <ClInclude Include="..\include\pj\compat\time.h" />
     <ClInclude Include="..\include\pj\config.h" />
     <ClInclude Include="..\include\pj\config_site.h" />
     <ClInclude Include="..\include\pj\config_site_sample.h" />
     <ClInclude Include="..\include\pj\ctype.h" />
-    <ClInclude Include="..\include\pj\doxygen.h" />    
+    <ClInclude Include="..\include\pj\doxygen.h" />
     <ClInclude Include="..\include\pj\errno.h" />
     <ClInclude Include="..\include\pj\except.h" />
Index: /pjproject/trunk/pjlib/build/pjlib.vcxproj.filters
===================================================================
--- /pjproject/trunk/pjlib/build/pjlib.vcxproj.filters	(revision 5538)
+++ /pjproject/trunk/pjlib/build/pjlib.vcxproj.filters	(revision 5539)
@@ -19,4 +19,10 @@
       <UniqueIdentifier>{4befc994-9aa4-47c8-99e7-5a51301220dd}</UniqueIdentifier>
     </Filter>
+    <Filter Include="Source Files\winrt">
+      <UniqueIdentifier>{4a92fce6-2308-44cf-aa66-00ccd5b333bd}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\winrt">
+      <UniqueIdentifier>{3550aa38-c59d-4d5f-b458-1f93e0b16bbd}</UniqueIdentifier>
+    </Filter>
   </ItemGroup>
   <ItemGroup>
@@ -180,39 +186,48 @@
       <Filter>Source Files\Other Targets</Filter>
     </ClCompile>
+    <ClCompile Include="..\src\pj\log_writer_printk.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_core_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_core_unix.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_error_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_error_unix.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_time_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_timestamp_linux.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_timestamp_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\pool_policy_kmalloc.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\sock_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\symbols.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\..\third_party\threademulation\src\ThreadEmulation.cpp">
+      <Filter>Source Files\winrt</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\ip_helper_winphone8.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
     <ClCompile Include="..\src\pj\ip_helper_generic.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\log_writer_printk.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_core_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_core_unix.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_error_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_error_unix.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_time_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_timestamp_linux.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_timestamp_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\pool_policy_kmalloc.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\sock_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\symbols.c">
-      <Filter>Source Files\Other Targets</Filter>
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\ip_helper_generic.c">
+      <Filter>Source Files</Filter>
     </ClCompile>
   </ItemGroup>
@@ -248,7 +263,4 @@
       <Filter>Header Files</Filter>
     </ClInclude>
-    <ClInclude Include="..\include\pj\equeue.h">
-      <Filter>Header Files</Filter>
-    </ClInclude>
     <ClInclude Include="..\include\pj\errno.h">
       <Filter>Header Files</Filter>
@@ -408,7 +420,4 @@
     </ClInclude>
     <ClInclude Include="..\include\pj\compat\time.h">
-      <Filter>Header Files\compat</Filter>
-    </ClInclude>
-    <ClInclude Include="..\include\pj\compat\vsprintf.h">
       <Filter>Header Files\compat</Filter>
     </ClInclude>
@@ -422,4 +431,13 @@
       <Filter>Inline Files</Filter>
     </ClInclude>
+    <ClInclude Include="..\include\pj\compat\os_winphone8.h">
+      <Filter>Header Files\compat</Filter>
+    </ClInclude>
+    <ClInclude Include="..\..\third_party\threademulation\include\ThreadEmulation.h">
+      <Filter>Header Files\winrt</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pj\compat\os_winuwp.h">
+      <Filter>Header Files\compat</Filter>
+    </ClInclude>
   </ItemGroup>
 </Project>
